Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Interface Map

All Known Subinterfaces:
  ModifiableMap

All Known Implementing Classes:
  Add, AdditionalNodeFieldsEditor, AdjustLU, AffineUVTransformation, And, And, Application, ArgShoot, Argument, Arrange, Array, ArrayGenerator, ArrayInit, Assert, AssignArrayComponent, AssignArrayGenerator, AssignField, AssignLocal, Assignment, Assignment, AttributeItem, Axiom, Axis, AxisBase, BinaryExpression, BlendItem, Block, Block, BlockColor, BlockScale, BooleanConst, BooleanEditor, BooleanNode, Box, Break, BreakTarget, BumpMap, ButtonEditor, ByteConst, ByteNode, C, C0, CAdd, Carpenter, Cast, Catch, Cell, ChannelBlend, ChannelMapNode, CharConst, CharNode, CheckBoxItem, Checker, CheckNonNull, ChoiceGroup, Cl, ClAdd, ClassConst, ClassicVRMLExport, ClMul, CMul, ColoredNull, ColorMapNode, CommandItem, Compare, Comparison, CompilationFilter, Complement, ComplexMethod, CompositeEditor, Conditional, ConditionalAnd, ConditionalOr, Cone, Configuration, ConfigurationSet, ConfigureInstance, ConstExpression, ContourFilter, ControlTransfer, CreateArray, CreateMap, CSGNode, CSVWriter, Cylinder, D, D0, DAdd, Directory, DisposeDescriptor, Div, Dl, DlAdd, DlMul, DMul, Do, DoubleConst, DoubleNode, DTDFilter, DTDSourceFile, DTDSourceFile.Loader, DTGFilter, DTGShoot, EnterFrame, EnumerationEditor, Equals, EvalExpression, ExcelWriter, Executable, Exists, ExplorerFactory, ExportModule, Expression, Expression, ExpressionList, ExtensionItem, F, F0, FAdd, FieldObserver, FieldUpdater, FileFactory, FileObjectItem, FileTypeItem, Filter, FilterBase, FilterGuard, FilterItem, Finally, FinishIteratorGenerator, First, FloatConst, FloatConst, FloatingWindow, FloatNode, FMul, For, ForAll, FruitObject, Frustum, FrustumBase, FunctionFilter, FunctionReader, GD, GE, GetArrayComponent, GetDescriptor, GetField, GetLocal, GetProperty, GetPropertyInstance, GetQuery, GetVMXFrame, Gradient, Granite, GraphMLReader, GraphReader, GRotation, Group, GRSVertex, GSReader, GSWriter, GSZReader, GSZWriter, GT, Guard, GUnzipFilter, GZipFilter, H, H0, HAdd, HDir, Hl, HlAdd, HlMul, HMul, Hook, Horn, HTMLWriter, Hydra, Id, If, ImageMap, ImageReader, ImageWriter, ImportModule, IncScale, InitializeClass, Insert, Instance, Instance3D, InstanceOf, InstanceOf, IntConst, IntConst, InterpretiveMark, IntNode, Invoke, InvokeMethod, InvokeSpecial, InvokeStatic, InvokeVirtual, Item, ItemFactory, IterableGenerator, JavaFilter, Julia, K, KAssignment, KL, L, L0, Label, LAdd, Laplace3D, Layout, LazyFilter, LazyObjectItem, LE, LeafObject, LeaveFrame, Leopard, Library, LightNode, Line, Link, Ll, LlAdd, LlMul, LMul, LongConst, LongNode, LookupForClass, LSYFilter, LSystem, LT, LuminanceFilter, M, M0, MAdd, MainWindow, Mandel, Map.Chain, Mark, Material, MeshNode, MethodEditor, MethodExpression, MimeTypeItem, Minus, MMul, ModelExpression, Move, MRel, MSMLMetadata, MSMLProjectLoader, MSMLReader, MSMLWriter, MSNode, MTGExport, MTGFilter, MTGLoader, MTGNode, MTGReader, MTGRoot, MTGSourceFile, MTGSourceFile.Loader, Mul, N, N0, NAdd, Neg, New, Nl, NlAdd, NlMul, NMul, NoBytecode, Node, NodeReference, Not, Not, NotEquals, Null, NullConst, NullResourceFilter, NullWithShaderNode, NumberEditor, NumericEditor, NumericLabel, NURBSCurve, NURBSSurface, ObjectConst, ObjectExpr, ObjectItem, ObjectItemFactory, ObjectNode, Option, OptionExplorerFactory, OptionGroup, Or, Or, OR, P, P0, PanelFactory, Parallelogram, Patch, PDFWriter, PhiBall, Phong, Pl, PlainTextWriter, Plane, PluginDescriptor, PluginPrerequisite, Plus, Point, PointCloud, PointConst, PolyEditor, Polygon, Pop, PopIntArray, Pos, Power, Prerequisite, Production, PropertyAssignment, PropertyEditor, PushInts, Range, RD, RegistryReader, Rem, Resource, ResourceDirectory, Return, RG, RGG, RGGFilter, RGGRoot, RH, RL, RN, RO, Root, Root, Rotate, Rotate, Rotation, RP, RU, RV, RV0, RVAdd, RVMul, SAXFilterBase, Scale, Scale, SceneGraphExport, SelectableItem, SensorNode, Separator, SetThis, SetVar, ShadedNull, SharedObjectNode, SharedValue, ShellFilter, Shift, Shl, Shoot, ShortConst, ShortNode, Shr, Sky, SMBFilter, Smooth3D, SOBindingImpl, SONodeReference, SourceFile, SourceFile.Loader, SPDFilter, Sphere, Split, StreamAdapter, StringConst, StringConversion, StringEditor, StringMap, Sub, SunSkyLight, Super, Supershape, SurfaceFilter, SurfaceMap, SwapBytecode, Switch, Synchronized, SyntheticTexture, Tab, TextLabel, TextLabelBase, Throw, ToolBarFactory, ToolFactory, ToolRoot, ToolRoot3D, TransformTool, Translate, Translate, Tree, Tropism, TryCatch, TryFinally, Turbulence, TurtleStep, TypeConst, TypeItem, U, U0, UAdd, UIPropertyDependency, Ul, UlAdd, UlMul, UMul, UnaryExpression, URotation, UserFieldsEditor, Ushr, UVTransformation, V, V0, VAdd, Value, Var, Variable, Variation, Vars, Vertex, ViewComponentFactory, Vl, VlAdd, VlMul, VMul, Void, VoidExpression, VolumeChecker, VolumeFunction, VolumeTurbulence, VRML97Export, While, Wood, X3DExport, X3DImport, XFrogFilter, XFrogProjectLoader, XLFilter, XMLPatchReader, XMLReaderBase, XMLTableReader, XMLWriter, Xor, XSLTFilter, XSLTFilterItem, XYZTransformation, Yield

    public interface Map

A single-method interface which maps keys to values.

Author:
  Ole Kniemeyer

Nested Class Summary
`static class` | `Map.Chain`

Field Summary
`static java.lang.Object` | `DEFAULT_VALUE`
`static Map` | `EMPTY_MAP`

Method Summary
`java.lang.Object` | `get(java.lang.Object key, java.lang.Object defaultValue)` Returns the value associated with `key`.

Field Detail

### DEFAULT_VALUE

    static final java.lang.Object DEFAULT_VALUE

### EMPTY_MAP

    static final Map EMPTY_MAP

Method Detail

### get

    java.lang.Object get(java.lang.Object key,
                         java.lang.Object defaultValue)

  Returns the value associated with `key`. If there is no value associated with `key`, `defaultValue` is returned.

  Parameters:
    `key` - a key for the map
    `defaultValue` - the default value
  Returns:
    the associated value, or `defaultValue`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD